Skip to main content
GET
/
insights
/
customers
/
over-time
Get customer metrics over time
curl --request GET \
  --url https://api.alguna.io/insights/customers/over-time \
  --header 'Alguna-Version: <alguna-version>' \
  --header 'Authorization: Bearer <token>'
{
  "points": [
    {
      "churned_customer_count": 3,
      "end_date": "2026-02-01T00:00:00Z",
      "existing_customer_count": 140,
      "new_customer_count": 8,
      "reactivated_customer_count": 2,
      "start_date": "2026-01-01T00:00:00Z"
    }
  ],
  "resolution": "months"
}

Documentation Index

Fetch the complete documentation index at: https://alguna.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication. Pass your API key as a Bearer token.

Headers

Alguna-Version
enum<string>
required
Available options:
2026-04-01

Query Parameters

date_range
enum<string>
required

Time period for the query. Determines the primary period and automatically calculates a comparison period.

Available options:
this_month,
last_month,
two_months_ago,
this_quarter,
last_quarter,
two_quarters_ago,
this_year,
last_year,
last_twelve_months,
all_time
Example:

"this_month"

Response

Success

points
object[]
required

Chronologically ordered data points

resolution
enum<string>
required

Time resolution of data points

Available options:
months,
days
Example:

"months"